package com.eactive.eai.adapter.wca.cfg; 

import java.io.Serializable;

/** 
* 1. 기능 : LU 정보 Object 클래스
* 2. 처리 개요 : LU 정보를 Get/Set 한다.
* 3. 주의사항 
*
* @author  : 
* @version : v 1.0.0
* @see     : Serializable
* @since   :
*/
public class WcaInfoDataEx implements Serializable
{  
	/**
	 * EAI Framework 노드 이름
	 */
	public String      sEaiNodeName = "";	
   
	/**
	 * EAI Framework 인스턴스 이름
	 */
	public String      sEaiInstanceName = "";	
	
	/**
     * WCA 어댑터 그룹 이름
     */
	public String      sAdapterGroupName = "";
    
    /**
     * WCA 어댑터 이름
     */
	public String      sAdapterName = "";
	
	/**
     * app_code
     */
	public String      appCd = "";
     
    /** 
     * 1. 기능 :  Defualt Constructor
     * 2. 처리 개요 : 
     * 3. 주의사항 
     **/
    public WcaInfoDataEx(String sAdapterGroupName, String sAdapterName , String sEaiNodeName , String sEaiInstanceName , String appCd) {
    	if(sAdapterGroupName != null)
    		this.sAdapterGroupName = sAdapterGroupName.trim();
    	
    	if(sAdapterName != null)
    		this.sAdapterName = sAdapterName.trim(); 
    	
    	if(sEaiNodeName != null)
    		this.sEaiNodeName = sEaiNodeName.trim();
    	
    	if(sEaiInstanceName != null)
    		this.sEaiInstanceName = sEaiInstanceName.trim(); 
    	
    	if(appCd != null)
    		this.appCd = appCd.trim(); 
    }
    
   
    /** 
    * 1. 기능 :  LU 정보 반환
    * 2. 처리 개요 : 
    * 3. 주의사항 
    *
    * @return LU 정보
    **/
    public String toString() {
        StringBuffer sb = new StringBuffer();
        sb.append("WCA 정보 [ 어댑터 그룹 이름 =").append(sAdapterGroupName);
        sb.append(", 어댑터 이름 =").append(sAdapterName);
        sb.append(", 인스턴스명  =").append(sEaiInstanceName);
        sb.append(", 노드명 =").append(sEaiNodeName);
        sb.append(", 어플리케이션코드 =").append(appCd);
        sb.append(" ]");
        return sb.toString();   
    }
}
